Skip to main content
GET
/
api
/
v1
/
analyses
List analyses
curl --request GET \
  --url https://shelfforce.ai/api/v1/analyses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "status": "processing",
      "totalRuns": 123,
      "completedRuns": 123,
      "failedRuns": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "externalId": "<string>",
      "metadata": {},
      "placeId": "<string>",
      "taskId": "<string>",
      "completedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Query Parameters

status
enum<string>

Filter by analysis status.

Available options:
processing,
completed,
failed
externalId
string

Filter by your external reference ID.

placeId
string

Filter by place ID.

cursor
string

Pagination cursor from a previous response.

limit
integer
default:50

Max results per page.

Required range: x <= 100

Response

Paginated list of analyses.

data
object[]
pagination
object

Cursor-based pagination metadata.